=== debian/tests/control ===
Tests: yuzu-cmd
Depends: @
