## yuzu 0-1734%2Bds

=== debian/rules ===
--- 
+++ 
@@ -51,32 +51,33 @@
 include /usr/share/dpkg/vendor.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	ln -s ../sirit externals/sirit
+	ln -s ../../tzdb-to-nx externals/nx_tzdb/tzdb_to_nx
 	dh_auto_configure -- \
 		-DGIT_BRANCH=$(DEB_VENDOR) \
 		-DGIT_DESC=mainline-$(DEB_VERSION) \
 		-DGIT_REV=mainline-$(DEB_VERSION) \
 		-DCMAKE_INSTALL_BINDIR=games \
 		-DENABLE_QT_TRANSLATION=true \
+		-DYUZU_DOWNLOAD_TIME_ZONE_DATA=false \
+		-DYUZU_USE_FASTER_LD=false \
+		-DENABLE_QT6=true \
 		-DYUZU_USE_QT_WEB_ENGINE=true \
 		-DYUZU_USE_EXTERNAL_SDL2=false \
 		-DYUZU_USE_EXTERNAL_VULKAN_HEADERS=false \
+		-DYUZU_USE_EXTERNAL_VULKAN_UTILITY_LIBRARIES=false \
 		-DYUZU_USE_BUNDLED_SDL2=false \
 		-DYUZU_USE_BUNDLED_QT=false \
 		-DYUZU_USE_BUNDLED_FFMPEG=false \
 		-DYUZU_TESTS=$(test) \
 		-DSIRIT_USE_SYSTEM_SPIRV_HEADERS=true \
+		-DTZDB2NX_ZONEINFO_DIR=/usr/share/zoneinfo \
+		-DTZDB2NX_VERSION=$$(stat -c '%y' /usr/share/zoneinfo/tzdata.zi | sed 's/\(....-..-..\).*/\1/' | tr -dc '[:digit:]') \
 		-DCMAKE_BUILD_TYPE=$(build_type) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=$(lto) \
 		-DCMAKE_POLICY_DEFAULT_CMP0069=NEW
 
 override_dh_auto_test:
-	supports_x86_64_v2=$$(lscpu | awk '/cx16/ && /lahf/ && /popcnt/ && /sse3/ && /sse4_1/ && /sse4_2/ && /ssse3/' | tr -d '[:space:]') ; \
-	if [ '$(DEB_HOST_BUILD_CPU)' = amd64 ] && [ -z "$$supports_x86_64_v2" ]; then \
-		echo "Your CPU doesn't support the x86-64-v2 micro-architecture level. Tests will be skipped." ; \
-	else \
-		dh_auto_test ; \
-	fi
