=== debian/watch ===
# Using /releases because /tags can't be sorted chronologically
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/mainline-@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
http://localhost:8080 \
http://localhost:8080/yuzu-mainline-@ANY_VERSION@.tar.gz \
debian

# Investigate using <https://github.com/shadps4-emu/sirit>
opts="mode=git, \
 component=sirit, \
 pgpmode=none" \
https://github.com/yuzu-mirror/sirit.git \
HEAD \
ignore uupdate

opts="mode=git, \
 component=tzdb-to-nx, \
 pgpmode=none" \
https://github.com/lat9nq/tzdb_to_nx.git \
HEAD \
ignore uupdate
