## yuzu 0-1734+ds

=== debian/changelog ===
yuzu (0-1734+ds-7) unstable; urgency=low

  * d/control: add the Games Team as an uploader
  * d/rules: re-enable tests, skip failing one
  * d/watch: convert to version 5

 -- Andrea Pappacoda <tachi@debian.org>  Sat, 20 Sep 2025 01:01:06 +0200

yuzu (0-1734+ds-6) unstable; urgency=medium

  * Convert to git-debrebase
  * Actually fix build with boost 1.88 (Closes: #1110605)

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 13 Aug 2025 13:13:00 +0200

yuzu (0-1734+ds-5) unstable; urgency=medium

  * d/patches: fix build with boost 1.88 (Closes: #1110605)

 -- Andrea Pappacoda <tachi@debian.org>  Tue, 12 Aug 2025 13:25:45 +0200

yuzu (0-1734+ds-4) unstable; urgency=low

  * d/tests: add gpu-console test.
    This new test actually tests that yuzu is able to launch homebrew games
    using the GPU. It uses the "null" renderer, and should hence pass even
    on testbeds without GPUs.
    The tested homebrew game, "gpu_console.nro", has been built on
    2025-04-26 using the devkitpro/devkita64 Docker container from the
    public-domain source code located in the
    /opt/devkitpro/examples/switch/graphics/opengl/gpu_console directory,
    which is also stored in the
    https://github.com/switchbrew/switch-examples Git repository.

 -- Andrea Pappacoda <tachi@debian.org>  Sat, 26 Apr 2025 15:15:18 +0200

yuzu (0-1734+ds-3) unstable; urgency=medium

  * d/control: use my @debian.org email address
  * d/patches: only enable gamemode on Linux
  * d/patches: disable linking with mcl library.
    Should fix arm64 builds

 -- Andrea Pappacoda <tachi@debian.org>  Tue, 11 Feb 2025 16:21:50 +0100

yuzu (0-1734+ds-2) unstable; urgency=low

  * d/control: depend on liboaknut-dev on arm64
  * d/patches: port to dynarmic 6.7
  * d/rules: disable lld usage
  * d/rules: build with ninja
  * d/rules: build with Qt 6

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 14 Jan 2025 16:14:40 +0100

yuzu (0-1734+ds-1) unstable; urgency=low

  * New upstream version 0-1734+ds
  * d/watch: change upstream to localhost
  * d/copyright: update file exclusions
  * d/watch: add tzdb-to-nx component
  * d/copyright: update for new release
  * d/patches: drop backported patches
  * d/patches: refresh mbedtls patch
  * d/patches: refresh debian-git-revision patch
  * d/control: add missing dependencies
  * d/patches: accept any LLVM version
  * d/source: add pkg-config lintian override
  * d/control: declare dpkg-build-api = 1
  * d/control: apply X-Style: black

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 11 Jan 2025 12:53:15 +0100

yuzu (0-1335+ds-2) unstable; urgency=low

  * First dgit upload
  * d/watch: change sirit upstream
  * d/copyright: exclude Android port
  * d/patches: fix build with LLVM 17 and newer
  * d/patches: drop boost <= 1.78 patch
  * d/patches: fix build with libfmt-dev 10
  * d/patches: simplify VkResult lookup
  * d/patches: update MbedTLS patch (Closes: #1092045)
  * d/rules: disable tests.
    They seem to be failing due to a catch2 internal error

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 10 Jan 2025 19:53:53 +0100

yuzu (0-1335+ds-1.4) unstable; urgency=medium

  * Non-maintainer upload
  * Fix build with current vulkan-headers (Closes: #1064671)

 -- Bastian Germann <bage@debian.org>  Sun, 17 Mar 2024 18:37:24 +0000

yuzu (0-1335+ds-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Revert "d/patches: revert Catch2 v3 switch" (Closes: #1054453)

 -- Bastian Germann <bage@debian.org>  Wed, 01 Nov 2023 23:22:28 +0100

yuzu (0-1335+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Bastian Germann ]
  * d/patches: Add two patches from upstream to fix build with gcc-13
    - d/patches/fixes-for-gcc-13.patch
    - d/patches/update-vulkan-headers.patch

  [ Amin Bandali ]
  * d/patches: Add patch from upstream to fix build
    - d/patches/update-savecontext-loadcontext.patch

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 01 Sep 2023 14:44:53 -0400

yuzu (0-1335+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/control: strip :native from glslang-tools build dependency

 -- Bastian Germann <bage@debian.org>  Sun, 13 Aug 2023 00:38:19 +0200
