=== debian/rules ===
--- 
+++ 
@@ -79,5 +79,3 @@
 		-DCMAKE_BUILD_TYPE=$(build_type) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=$(lto) \
 		-DCMAKE_POLICY_DEFAULT_CMP0069=NEW
-
-override_dh_auto_test:
