=== debian/tests/control ===
Tests:
 yuzu-cmd,
Depends:
 @,

Tests:
 gpu-console,
Depends:
 xz-utils,
 @,
Restrictions:
 allow-stderr,
