=== debian/watch ===
Version: 5
Untrackable: The original yuzu upstream currently does not exist anymore

# Using /releases because /tags can't be sorted chronologically
Template: GitHub
Owner: yuzu-emu
Project: yuzu-mainline
Release-Only: yes
PGP-Mode: none
Repacksuffix: +ds
Dversion-Mangle: auto

# Investigate using <https://github.com/shadps4-emu/sirit>
Source: https://github.com/yuzu-mirror/sirit.git
Mode: git
Matching-Pattern: HEAD
Component: sirit
PGP-Mode: none
#Version-Constraint: ignore

Source: https://github.com/lat9nq/tzdb_to_nx.git
Mode: git
Matching-Pattern: HEAD
Component: tzdb-to-nx
PGP-Mode: none
#Version-Constraint: ignore
